Cara Upgrade PHP Version di WordPress (PHP Update Required)

Update-nya WordPress ke versi 5.5 (terbaru) mengakibatkan beberapa website mendapat pesan error di Dashboard, yaitu “PHP Update Required“. Peringatan ini fungsinya adalah mengingatkan pemilik website untuk update versi php mereka, supaya tidak berimbas kepada masalah keamanan.

PHP Update Required (WordPress)
PHP Update Required (WordPress)

Peringatan ini tentu saja sangat penting, bila diabaikan akan berakibat fatal mungkin dikemudian hari, sehingga wordpress memperingatkan sejak dini.

Berikut akan kami berikan cara update php di cpanel langsung di file .htacess, karena diluar sana sudah banyak yang menjelaskan menggunakan “Select PHP Version / PHP Selector”. Yang mana fitur ini memang sudah ada di cpanel, namun… tidak semua hosting menampilkan fitur ini. Sehingga kita kesulitan untuk update versi php, terutama bila Anda menambahkan / add on domain.

Terkadang kendala tidak terbacanya versi PHP kerap terjadi, pada website yang ditambahkan ke server utama.

  1. Langkah pertama, langsung saja Login Cpanel.
  2. Pilih “File Manager
  3. Kemudian cari file .htaccess (Kalau tidak muncul, klik “Settings” di pojok kanan, centang show hidden files (dot files)).
  4. Klik kanan, lalu Edit .htaccess
Cara Upgrade Php Version di WordPress (PHP Update Required)
Cara Upgrade Php Version di WordPress (PHP Update Required)

Kemudian tambahkan kode berikut ini:

<FilesMatch "\.(php4|php5|php7|php3|php2|php|phtml)$">
SetHandler application/x-lsphp73
</FilesMatch>

Pada script : SetHandler application/x-lsphp73 > sesuaikan dengan versi PHP di cpanel. Pada kasus ini adalah PHP 7.3, kemudian setelah menambahkan kode tersebut, jangan lupa klik Save Changes.

Berikut daftar lengkapnya:

  • SetHandler application/x-lsphp56 (Untuk PHP 5.6)
  • SetHandler application/x-lsphp70 (Untuk PHP 7.0)
  • SetHandler application/x-lsphp71 (Untuk PHP 7.1)
  • SetHandler application/x-lsphp72 (Untuk PHP 7.2)
  • SetHandler application/x-lsphp73 (Untuk PHP 7.3)
  • SetHandler application/x-lsphp74 (Untuk PHP 7.4)

Untuk mengetahui versi PHP saat ini, langsung ke home cpanel > klik Select PHP Version.

Demikianlah cara mengatasi PHP Update Require.

Kesimpulan

Untuk melihat apakah pesan terebut sudah hilang, langsung saja menuju dashboard wordpress Anda.

Cara diatas merupakan alternative bagi Anda yang kesulitan upgrade versi php, karena PHP Selectornya tidak ada. Atau sudah upgrade tapi tidak terdeteksi oleh WordPress, Anda bisa menggunakan cara tersebut.

Semoga bermanfaat, salam techno!